﻿var method = "";

// Saves options to chrome.storage
function save_options() {
  var method = document.getElementById('method').value;
  chrome.storage.sync.set({
    commentMethod: method,
  }, function() {
    // Update status to let user know options were saved.
    var status = document.getElementById('status');
    status.textContent = 'Options saved. (' + method +')';
  }); 
}

// Restores select box and checkbox state using the preferences
// stored in chrome.storage.
function restore_options() {
  // Use default value color = 'red' and likesColor = true.
  chrome.storage.sync.get({
    commentMethod: 'method',
  }, function(items) {
    document.getElementById('method').value = items.commentMethod;
  });
}
document.addEventListener('DOMContentLoaded', restore_options);
document.getElementById('save').addEventListener('click',
    save_options);

